rte_event_crypto_adapter_vector_limits(3)

NAME
rte_event_crypto_adapter_vector_limits

SYNOPSIS

#include <rte_event_crypto_adapter.h>

  Data Fields

uint16_t min_sz
uint16_t max_sz
uint8_t log2_sz
uint64_t min_timeout_ns
uint64_t max_timeout_ns

Detailed Description

A structure used to retrieve event crypto adapter vector limits.

Definition at line 333 of file rte_event_crypto_adapter.h.

Field Documentation

  uint16_t min_sz
Minimum vector limit configurable.

See also
    rte_event_crypto_adapter_queue_conf::vector_sz

Definition at line 334 of file rte_event_crypto_adapter.h.

  uint16_t max_sz
Maximum vector limit configurable.

See also
    rte_event_crypto_adapter_queue_conf::vector_sz

Definition at line 338 of file rte_event_crypto_adapter.h.

  uint8_t log2_sz
True if the size configured should be in log2.

See also
    rte_event_crypto_adapter_queue_conf::vector_sz

Definition at line 342 of file rte_event_crypto_adapter.h.

  uint64_t min_timeout_ns
Minimum vector timeout configurable.

See also
    rte_event_crypto_adapter_queue_conf::vector_timeout_ns

Definition at line 346 of file rte_event_crypto_adapter.h.

  uint64_t max_timeout_ns
Maximum vector timeout configurable.

See also
    rte_event_crypto_adapter_queue_conf::vector_timeout_ns

Definition at line 350 of file rte_event_crypto_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.